import { State } from './index';

const getters = {
    sidebar: (state: State) => state.sidebar,
    language: (state: State) => state.locale,
    device: (state: State) => state.layout,
    visitedViews: (state: State) => state.tagsView.visitedViews,
    cachedViews: (state: State) => state.tagsView.cachedViews,
    user: (state: any) => state.user.user, // 这里的 user 模块需要单独处理
    permission_routers: (state: any) => state.permission.routers, // 这里的 permission 模块需要单独处理
    addRouters: (state: any) => state.permission.addRouters, // 这里的 permission 模块需要单独处理
    routersAlls: (state: any) => state.permission.routersAlls, // 这里的 permission 模块需要单独处理
    siteInfo: (state: any) => state.app.siteInfo, // 这里的 app 模块需要单独处理
    languageList: (state: State) => state.languageList,
};

export default getters;